<?php
/**
 * @version     tmpl/default.php - 18/04/2025
 * @copyright   Copyright (C) Scorpion Computers and Software, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; http://www.gnu.org/copyleft/gpl.html
 * @email       info@ScorpionComputers.nl
 *
 * @var   array   $sponsors      An array of sponsor objects.
 * @var   object  $params        The module parameters.
 * @var   object  $module        The module object.
 * @var   string  $layout        The layout being rendered.
 */

defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Uri\Uri;

// Optional: Get module class suffix
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx') ?? '');
$helper = new ScorpionSponsorsHelper($params,$module->id);
$helper->addBasicCSS();
$sponsors = $helper->getSponsors();

?>
<div id="scs-sponsors-<?php echo $module->id; ?>" class="scs-sponsors-tmpl-<?php echo $helper->chosenTemplate; ?> scs-sponsors-<?php echo $moduleclass_sfx; ?>">
    <div class="sponsor-list">
        <?php foreach ($sponsors as $sponsor) : ?>

            <div class="sponsor-item">
                <?php if ($sponsor->isLinkValid) : ?>
                    <a href="<?php $sponsor->link; ?>" target="_blank" rel="noopener noreferrer">
                <?php endif; ?>

                <?php if ($sponsor->imageSrc) : ?>
                    <img src="<?php echo $sponsor->imageSrc; ?>" alt="<?php echo $sponsor->name; ?>">
                <?php else : ?>
                    <span><?php echo $sponsor->name; // Display name if no image ?></span>
                <?php endif; ?>

                <?php if ($sponsor->isLinkValid) : ?>
                    </a>
                <?php endif; ?>
            </div>
            
        <?php endforeach; ?>
    </div>
</div> 