

function initSlider(variables) {
  const swiper = new Swiper('.scs-sponsors-tmpl-slider .scs-swiper-container', {
      // parameters
      rewind: variables?.rewind == 1 ? true : false,
      speed: variables?.speed ?? 1000,
      centeredSlides: variables?.centeredSlides ?? false,
      direction: variables?.direction ?? 'horizontal',
      effect: variables?.effect ?? 'slide',
      
      // If we need pagination
      pagination: variables?.pagination?.enabled == 1 ? {
        el: '.scs-sponsors-tmpl-slider .swiper-pagination',
        clickable: true,
        type: 'bullets',
      } : false,
      
      // Navigation arrows
      navigation: {
        nextEl: '.scs-sponsors-tmpl-slider .swiper-button-next',
        prevEl: '.scs-sponsors-tmpl-slider .swiper-button-prev',
        enabled: variables?.navigation?.enabled == 1 ? true : false,
      },

      scrollbar: {
        el: '.scs-sponsors-tmpl-slider .swiper-scrollbar',
        hide: true,
        draggable: true,
        enabled: variables?.scrollbar?.enabled == 1 ? true : false,
      },
      
      // Autoplay
      autoplay: {
        delay: variables?.autoplay?.delay ?? 3000,
        disableOnInteraction: variables?.autoplay?.disableOnInteraction ?? "false",
        pauseOnMouseEnter: variables?.autoplay?.pauseOnMouseEnter ?? true,
      },

      a11y: {
        prevSlideMessage: 'Previous slide',
        nextSlideMessage: 'Next slide',
      },
      
      slidesPerView: variables.slidesPerView ?? "auto", // Items per view
      spaceBetween: variables.spaceBetween ?? 10, // Space between slides
      // Responsive breakpoints
      breakpoints: {
          // when window width is >= 640px
          640: {
            slidesPerView: variables?.breakpoints[640]?.slidesPerView ?? 3,
          },
          // when window width is >= 1024px
          1024: {
            slidesPerView: variables?.breakpoints[1024]?.slidesPerView ?? 4,
          }
      }
  });

};